<mat-toolbar color="primary">
  <mat-icon>track_changes</mat-icon>
  <span> Web Vision</span>
</mat-toolbar>

<div class="content-wrapper">
  <div class="upload-content-wrapper">
    <div class="upload-wrapper">
      <app-file-upload
        (onFileAdded)="addedImageFile = $event"
      ></app-file-upload>
    </div>

    <div class="analyze-button-wrapper">
      <button (click)="startAnalyzing()" mat-raised-button color="primary">
        <mat-icon>radar</mat-icon> Analyze
      </button>
    </div>
  </div>

  <div #editor *ngIf="showImageEditor" class="editor-wrapper">
    <mat-card>
      <mat-card-content>
        <app-img-editor
          [report]="currentReport"
          [isLoading]="isUploadOnProgress"
          [srcImage]="imageSource"
        ></app-img-editor>
      </mat-card-content>
    </mat-card>
  </div>

  <div class="past-reports-wrapper">
    <div class="report-header">
      <h3 mat-subheader>Past Reports</h3>
    </div>

    <mat-divider style="width: 100%; margin-bottom: 48px"></mat-divider>

    <div class="report-item" *ngFor="let item of allReports; let i = index">
      <mat-card>
        <!-- <mat-card-header>{{ item.incident_id }}</mat-card-header> -->
        <img mat-card-image src="{{ item.scene.file_source }}" />
        <mat-card-actions>
          <button mat-button (click)="selectItem(i)">VIEW</button>
        </mat-card-actions>
      </mat-card>
    </div>
  </div>
</div>
